<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.biz.infrastructure.mapper.OrderShipItemMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.biz.infrastructure.entity.OrderShipItemDO">
		<result property="orderShipItemId" column="order_ship_item_id"/>
		<result property="orderId" column="order_id"/>
		<result property="orderShipId" column="order_ship_id"/>
		<result property="grossWeight" column="gross_weight"/>
		<result property="boxWeight" column="box_weight"/>
		<result property="boxCount" column="box_count"/>
		<result property="netWeight" column="net_weight"/>
		<result property="unitPrice" column="unit_price"/>
		<result property="totalAmount" column="total_amount"/>
		<result property="watermelonGrade" column="watermelon_grade"/>
		<result property="createdAt" column="created_at"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>

